org.jbpm.process.builder.dialect.mvel

## Class MVELAssignmentAction

- java.lang.Object
- - org.jbpm.process.builder.dialect.mvel.MVELAssignmentAction

- All Implemented Interfaces:
    AssignmentAction

      public class MVELAssignmentAction
      extends Object
      implements AssignmentAction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVELAssignmentAction(Assignment assignment, String sourceExpr, String targetExpr, BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> source, BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> target, AssignmentProducer producer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.kie.api.runtime.process.NodeInstance nodeInstance, org.kie.api.runtime.process.ProcessContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVELAssignmentAction

          public MVELAssignmentAction(Assignment assignment,
                                      String sourceExpr,
                                      String targetExpr,
                                      BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> source,
                                      BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> target,
                                      AssignmentProducer producer)

  - ### Method Detail

    - #### execute

          public void execute(org.kie.api.runtime.process.NodeInstance nodeInstance,
                              org.kie.api.runtime.process.ProcessContext context)

      Specified by:
        `execute` in interface `AssignmentAction`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.